Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 985660 - virtio-scsi Win2003 BSOD on installation stage on RHEL7 host
Summary: virtio-scsi Win2003 BSOD on installation stage on RHEL7 host
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: qemu-kvm
Version: 6.5
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: 6.5
Assignee: Vadim Rozenfeld
QA Contact: Virtualization Bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-07-18 03:41 UTC by Xiaoqing Wei
Modified: 2013-12-05 10:03 UTC (History)
12 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-07-18 11:53:33 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Xiaoqing Wei 2013-07-18 03:41:53 UTC
Description of problem:
virtio-scsi Win2003 BSOD on installation stage on RHEL7 host

Version-Release number of selected component (if applicable):

virtio-win-prewhql-65
qemu-kvm-1.5.1-2.el7.x86_64
kernel-3.10.0-1.el7.x86_64

How reproducible:
100%

Steps to Reproduce:
1.qemu-kvm -monitor stdio    -S \
    -name 'virt-tests-vm1' \
    -nodefaults \
    -chardev socket,id=qmp_id_qmpmonitor1,path=/tmp/monitor-qmpmonitor1-20130717-171201-UvUnZtik,server,nowait \
    -mon chardev=qmp_id_qmpmonitor1,mode=control \
    -chardev socket,id=serial_id_serial1,path=/tmp/serial-serial1-20130717-171201-UvUnZtik,server,nowait \
    -device isa-serial,chardev=serial_id_serial1 \
    -chardev socket,id=seabioslog_id_20130717-171201-UvUnZtik,path=/tmp/seabios-20130717-171201-UvUnZtik,server,nowait \
    -device isa-debugcon,chardev=seabioslog_id_20130717-171201-UvUnZtik,iobase=0x402 \
    -device ich9-usb-uhci1,id=usb1,bus=pci.0,addr=0x4 \
    -device virtio-scsi-pci,id=virtio_scsi_pci0,addr=0x5 \
    -drive file='/root/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/images/win2003-64.qcow2',if=none,id=virtio-scsi0-id0,media=disk,cache=none,snapshot=off,format=qcow2,aio=native \
    -device scsi-hd,drive=virtio-scsi0-id0 \
    -device e1000,netdev=idaFJSDS,mac='9a:3e:3f:40:41:42',bus=pci.0,addr=0x3,id='idWR0T5S' \
    -netdev tap,id=idaFJSDS \
    -m 4096 \
    -smp 4,maxcpus=4,cores=2,threads=1,sockets=2 \
    -cpu 'SandyBridge' \
    -M pc \
    -drive file='/root/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/isos/ISO/Win2003/64/en_win_srv_2003_r2_enterprise_x64_with_sp2_X13.iso',if=none,id=virtio-scsi1-id1,media=cdrom,readonly=on,format=raw \
    -device scsi-cd,drive=virtio-scsi1-id1 \
    -drive file='/root/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/isos/windows/winutils.iso',if=none,id=virtio-scsi2-id2,media=cdrom,readonly=on,format=raw \
    -device scsi-cd,drive=virtio-scsi2-id2 \
    -drive file='/root/staf-kvm-devel/autotest-devel/client/tests/virt/shared/data/isos/windows/virtio-win.iso',if=none,id=virtio-scsi3-id3,media=cdrom,readonly=on,format=raw \
    -device scsi-cd,drive=virtio-scsi3-id3 \
    -drive file='/home/1440k_answer.vfd',if=none,id=fdc0-0-0,media=disk,readonly=on,format=raw \
    -global isa-fdc.driveA=fdc0-0-0 \
    -device usb-tablet,id=usb-tablet1,bus=usb1.0,port=1 \
    -vnc :0 \
    -vga cirrus \
    -rtc base=localtime,clock=host,driftfix=slew  \
    -boot order=cdn,once=d,menu=off  \
    -enable-kvm

2.
3.

Actual results:
guest BSOD after load the virtio-scsi driver 0x7B

Expected results:
guest installation success

Additional info:
1) same test pass on rhel6 host.
2) if boot a Win2003 guest with virtio-scsi driver pre-installed, then booting success, not BSOD

Comment 3 guo jiang 2013-07-19 10:03:29 UTC
QE tested this issue on win2k3-64 on rhel7 host, with virtio-win-prewhql-0.1.65 and virtio-win-1.6.5 driver respectively

Version-Release number of selected component (if applicable):
  Red Hat Enterprise Linux Server release 7.0 Beta(Maipo)
  virtio-win-prewhql-65/virtio-win-1.6.5
  qemu-kvm-1.5.1-2.el7.x86_64
  kernel-3.10.0-0.rc7.64.el7.x86_64/kernel-3.10.0-1.el7.x86_64

Steps:
1.boot guest with CLI(/wo ide-driver) and install win2k3-64 OS
 /usr/libexec/qemu-kvm -M pc -m 2G -smp 4,cores=4 -cpu SandyBridge -boot dc -usb -device usb-tablet -netdev tap,sndbuf=0,id=hostnet0,script=/etc/qemu-ifup,downscript=no -device e1000,netdev=hostnet0,mac=00:31:43:a1:12:30 -uuid c2c2817c-41c7-4376-816b-7a0814d27ad7 -chardev socket,id=aaaa,path=/tmp/monitor-win2k3-64-scsi,server,nowait -mon chardev=aaaa,mode=readline -name win2k3-64-scsi -vnc :1 -vga cirrus -rtc base=localtime,clock=host,driftfix=slew -chardev socket,id=seabios_debug,path=/tmp/monitor-seabios,server,nowait -drive file=win2k3-64-scsi.qcow2,if=none,media=disk,format=qcow2,rerror=stop,werror=stop,cache=none,aio=native,id=scsi-disk0 -device virtio-scsi-pci,id=bus1,bus=pci.0,addr=0x5 -device scsi-hd,bus=bus1.0,drive=scsi-disk0,id=disk0,serial=test0 -global PIIX4_PM.disable_s3=0 -global PIIX4_PM.disable_s4=0 -global kvm-pit.lost_tick_policy=discard -monitor stdio -drive file=jguo-1.6.5.vfd,if=none,id=drive-fdc0-0-0,readonly=on,format=raw,serial= -global isa-fdc.driveA=drive-fdc0-0-0 -drive file=en_win_srv_2003_r2_enterprise_x64_with_sp2_cd1_X13-06188.iso,if=none,media=cdrom,id=drive-ide0-1-0,readonly=on,format=raw,serial= -device ide-drive,bus=ide.1,unit=0,drive=drive-ide0-1-0,id=ide0-1-0,bootindex=1

Actual Results:
for kernel-3.10.0-0.rc7.64.el7.x86_64
  image-type  driver   result
    raw       build65  successfully without any error
    raw       1.6.5    successfully without any error  
    qcow2     build65  successfully without any error
    qcow2     1.6.5    successfully without any error
for kernel-3.10.0-1.el7.x86_64
  image-type  driver   result  
    qcow2     build65  successfully without any error
    qcow2     1.6.5    successfully without any error


Note You need to log in before you can comment on or make changes to this bug.